#version 330

// Input vertex attributes (from vertex shader)
in vec2 fragTexCoord;
in vec4 fragColor;

// Input uniform values
uniform sampler2D texture0;

// Output fragment color
out vec4 finalColor;

// NOTE: Add here your custom variables

void main()
{
    // Texel color fetching from texture sampler
    vec4 texelColor = texture(texture0, fragTexCoord)*fragColor;

    if (texelColor.a < 1.00) {
        finalColor = vec4(texelColor.r, texelColor.g, texelColor.b, texelColor.a);
                             }

    else finalColor = vec4(texelColor.r, texelColor.g, texelColor.b, 0.0);
//texelColor;
}